curl --request GET \
--url https://api.bridge.xyz/v0/customers \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"first_name": "John",
"last_name": "Doe",
"email": "johndoe@example.com",
"client_reference_id": "your_internal_id_123",
"status": "active",
"type": "individual",
"persona_inquiry_type": "gov_id_db",
"created_at": "2025-11-19T21:14:58.328Z",
"updated_at": "2025-11-19T21:16:02.894Z",
"rejection_reasons": [],
"has_accepted_terms_of_service": true,
"endorsements": [
{
"name": "base",
"status": "approved",
"requirements": {
"complete": [
"terms_of_service_v1",
"first_name",
"last_name",
"tax_identification_number",
"email_address",
"address_of_residence",
"date_of_birth",
"proof_of_address",
"sanctions_screen",
"pep_screen",
"blocklist_lookup",
"min_age_18",
"selfie_verification",
"government_id_rejection_checks_passed",
"government_id_review_checks_passed",
"government_id_reliance",
"post_processing"
],
"pending": [],
"missing": null,
"issues": []
}
},
{
"name": "sepa",
"status": "approved",
"requirements": {
"complete": [
"terms_of_service_v2",
"first_name",
"last_name",
"tax_identification_number",
"email_address",
"address_of_residence",
"date_of_birth",
"proof_of_address",
"sanctions_screen",
"pep_screen",
"blocklist_lookup",
"min_age_18",
"selfie_verification",
"government_id_rejection_checks_passed",
"government_id_review_checks_passed",
"government_id_reliance"
],
"pending": [],
"missing": null,
"issues": []
}
}
],
"future_requirements_due": [],
"requirements_due": [
"external_account"
],
"capabilities": {
"payin_crypto": "active",
"payout_crypto": "active",
"payin_fiat": "pending",
"payout_fiat": "pending"
}
},
{
"id": "00000000-0000-0000-0000-000000000000",
"first_name": "Acme Corporation",
"last_name": null,
"email": "business@example.com",
"client_reference_id": "your_internal_id_456",
"status": "active",
"type": "business",
"persona_inquiry_type": "business",
"created_at": "2025-11-19T04:41:33.296Z",
"updated_at": "2025-11-19T19:10:39.393Z",
"rejection_reasons": [],
"has_accepted_terms_of_service": true,
"endorsements": [
{
"name": "base",
"status": "approved",
"requirements": {
"complete": [
"terms_of_service_v1",
"business_name",
"business_type",
"business_description",
"is_dao",
"email_address",
"address_of_incorporation",
"address_of_operation",
"tax_identification_number",
"business_industry",
"control_person_ownership_attestation",
"minimal_source_of_funds_data",
"proof_of_address",
"adverse_media_screen",
"sanctions_screen",
"manual_business_ein_verification_review",
"manual_business_registry_verification_review",
"business_website",
"manual_business_website_verification_review",
"business_formation_document_verification",
"manual_business_formation_document_verification_review",
"kyb_review",
{
"associated_person": "11111111-1111-1111-1111-111111111111",
"items": [
"has_control",
"first_name",
"last_name",
"email_address",
"address_of_residence",
"associated_person_relationship",
"date_of_birth",
"tax_identification_number",
"manual_government_id_review",
"sanctions_screen",
"adverse_media_screen",
"pep_screen",
"min_age_18",
"selfie_verification",
"has_title"
]
}
],
"pending": [],
"missing": null,
"issues": []
}
},
{
"name": "sepa",
"status": "approved",
"requirements": {
"complete": [
"terms_of_service_v2",
"business_name",
"business_type",
"business_description",
"is_dao",
"email_address",
"address_of_incorporation",
"address_of_operation",
"tax_identification_number",
"business_industry",
"control_person_ownership_attestation",
"minimal_source_of_funds_data",
"proof_of_address",
"adverse_media_screen",
"sanctions_screen",
"manual_business_ein_verification_review",
"manual_business_registry_verification_review",
"business_website",
"manual_business_website_verification_review",
"business_formation_document_verification",
"manual_business_formation_document_verification_review",
"kyb_review",
{
"associated_person": "11111111-1111-1111-1111-111111111111",
"items": [
"has_control",
"first_name",
"last_name",
"email_address",
"address_of_residence",
"associated_person_relationship",
"date_of_birth",
"tax_identification_number",
"manual_government_id_review",
"sanctions_screen",
"adverse_media_screen",
"pep_screen",
"min_age_18",
"selfie_verification",
"has_title"
]
}
],
"pending": [],
"missing": null,
"issues": []
}
}
],
"future_requirements_due": [],
"requirements_due": [
"external_account"
],
"capabilities": {
"payin_crypto": "active",
"payout_crypto": "active",
"payin_fiat": "pending",
"payout_fiat": "pending"
},
"associated_persons": [
{
"id": "11111111-1111-1111-1111-111111111111",
"email": "person@example.com"
}
]
}
]
}Get all customers
Get the full list of all customers created on Bridge
Authorizations
Query Parameters
This is a customer id. If this is specified, the next page that starts with a customer right AFTER the specified customer id on the customer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that customers older than the specified customer id will be returned (shouldn't be set if ending_before is set)
This is a customer id. If this is specified, the previous page that ends with a customer right BEFORE the specified customer id on the customer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that customers newer than the specified customer id will be returned (shouldn't be set if starting_after is set)
The number of items to return (min 1, default 10, max 100)
1 <= x <= 100If included, filters to customers with the given email
Was this page helpful?
